# Initiate OIDC Login GET /api/v1/enterprises/oidc/login/ Redirects to the IDP for authentication. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/enterprises/oidc-login-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/enterprises/oidc/login/: get: operationId: oidc-login-retrieve summary: Initiate OIDC Login description: Redirects to the IDP for authentication. tags: - subpackage_enterprises parameters: - name: domain in: query description: Enterprise Domain required: true schema: type: string responses: '200': description: Successful response ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/enterprises/oidc/login/" querystring = {"domain":"domain"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/enterprises/oidc/login/?domain=domain")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```